org.openmuc.openiec61850

## Class Report

- java.lang.Object
- - org.openmuc.openiec61850.Report

    public class Report
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Report(java.lang.String rptId, BdaOptFlds optFlds, java.lang.Integer sqNum, java.lang.Integer subSqNum, boolean moreSegmentsFollow, java.lang.String dataSetRef, boolean bufOvfl, java.lang.Long confRev, BdaEntryTime timeOfEntry, BdaOctetString entryId, byte[] inclusionBitString, java.util.List<BdaReasonForInclusion> reasonCodes, DataSet dataSet)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Long` `getConfRev()`
`DataSet` `getDataSet()` Gets the data set associated with this report.
`java.lang.String` `getDataSetRef()`
`BdaOctetString` `getEntryId()`
`byte[]` `getInclusionBitString()` Indicator of data set members included in the report
`BdaOptFlds` `getOptFlds()`
`java.util.List<BdaReasonForInclusion>` `getReasonCodes()` Gets the reasons for inclusion
`java.lang.String` `getRptId()`
`java.lang.Integer` `getSqNum()` Sequence numberThe parameter MoreSegmentsFollow indicates that more report segments with the same sequence number follow, counted up for every `Report` instance generated
`java.lang.Integer` `getSubSqNum()` For the case of long reports that do not fit into one message, a single report shall be divided into subreports.
`BdaEntryTime` `getTimeOfEntry()` The parameter TimeOfEntry shall specify the time when the EntryID was created
`boolean` `isBufOvfl()` The parameter BufOvfl shall indicate to the client that entries within the buffer may have been lost.
`boolean` `isMoreSegmentsFollow()` The parameter MoreSegmentsFollow indicates that more report segments with the same sequence number follow

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Report

    public Report(java.lang.String rptId,
                  BdaOptFlds optFlds,
                  java.lang.Integer sqNum,
                  java.lang.Integer subSqNum,
                  boolean moreSegmentsFollow,
                  java.lang.String dataSetRef,
                  boolean bufOvfl,
                  java.lang.Long confRev,
                  BdaEntryTime timeOfEntry,
                  BdaOctetString entryId,
                  byte[] inclusionBitString,
                  java.util.List<BdaReasonForInclusion> reasonCodes,
                  DataSet dataSet)

### Method Detail

#### getRptId

    public java.lang.String getRptId()

#### getOptFlds

    public BdaOptFlds getOptFlds()

#### getSqNum

    public java.lang.Integer getSqNum()

Sequence numberThe parameter MoreSegmentsFollow indicates that more report segments with the same sequence number follow, counted up for every `Report` instance generated

Returns:
  the sequence number

#### getSubSqNum

    public java.lang.Integer getSubSqNum()

For the case of long reports that do not fit into one message, a single report shall be divided into subreports. Each segment – of one report – shall be numbered with the same sequence number and a unique SubSqNum.

Returns:
  the subsequence number

#### isMoreSegmentsFollow

    public boolean isMoreSegmentsFollow()

The parameter MoreSegmentsFollow indicates that more report segments with the same sequence number follow

Returns:
  true if more segments follow

#### getDataSetRef

    public java.lang.String getDataSetRef()

#### isBufOvfl

    public boolean isBufOvfl()

The parameter BufOvfl shall indicate to the client that entries within the buffer may have been lost. The detection of possible loss of information occurs when a client requests a resynchronization to a non-existent entry or to the first entry in the queue.

Returns:
  true if buffer overflow is true

#### getConfRev

    public java.lang.Long getConfRev()

#### getTimeOfEntry

    public BdaEntryTime getTimeOfEntry()

The parameter TimeOfEntry shall specify the time when the EntryID was created

Returns:
  the time of entry

#### getEntryId

    public BdaOctetString getEntryId()

#### getInclusionBitString

    public byte[] getInclusionBitString()

Indicator of data set members included in the report

Returns:
  the inclusion bit string as a byte array

#### getReasonCodes

    public java.util.List<BdaReasonForInclusion> getReasonCodes()

Gets the reasons for inclusion

Returns:
  the reasons for inclusion

#### getDataSet

    public DataSet getDataSet()

Gets the data set associated with this report.

Returns:
  the data set associated with this report.